QGIS Application - Bug report #14639
Zonal statistics generates wrong numbers under Linux
2016-04-08 02:55 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:master Regression?: No
Operating System: Linux Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 22603
Description

Generating zonal stats from processing (the gqgis command) results in numbers that are not correctly sorted (see attached).

Associated revisions

Revision 77d95b0d - 2016-04-26 07:44 PM - Alexander Bruy

[processing] don't write NaN's to attribute table (fix #14639)

Revision 6b02745e - 2016-04-26 07:45 PM - Alexander Bruy

[processing] don't write NaN's to attribute table (fix #14639)

(cherry picked from commit 77d95b0d655022ab5¢9f1927fa0a8ddb492b44df)

History

#1 - 2016-04-08 04:34 AM - Alexander Bruy
- Status changed from Open to Feedback

Can not reproduce with my test data using latest master under Linux. Can you share sample?

#2 - 2016-04-08 05:24 AM - Paolo Cavallini

Try the geomorpho example form the training manual.

Thanks.

#3 - 2016-04-08 07:39 AM - Alexander Bruy

Checked https://github.com/qgis/QGIS-Documentation/blob/master/source/docs/training_manual/processing/geomorpho.rst and it does not contains any

links to sample data. | can use any DEM raster for it, right?

#4 - 2016-04-09 12:04 AM - Paolo Cavallini

Data are here: https://github.com/qgis/QGIS-Documentation/tree/master/source/docs/training_manual/exercise_data/processing/more_backends
#5 - 2016-04-09 01:43 AM - Giovanni Manghi
- File zs.dbf.zip added

if by wrong results you mean this

https://lists.osgeo.org/pipermail/qgis-developer/attachments/20160407/902f8dd0/attachment.png

then no, | cannot confirm here (result attached).

#6 - 2016-04-09 01:53 AM - Paolo Cavallini
- File zs2.zip added

Interesting. Then it might be due to local factors (IT locale?). My command:

"/usr/share/qgis/python/plugins/processing/algs/qgis/ZonalStatistics.py", line 230, in processAlgorithm

attrs.insert(idxMin, float(masked.min()))

Results attached.

#7 - 2016-04-09 02:32 AM - Giovanni Manghi

- Subject changed from Zonal statistics generates wrong numbers to Zonal statistics generates wrong numbers under Linux

- Status changed from Feedback to Open
- Operating System set to Linux
- Affected QGIS version changed from 2.14.0 to master

it is just a Linux thing.

#8 - 2016-04-26 10:44 AM - Alexander Bruy
- Status changed from Open to Closed

Fixed in changeset commit:"77d95b0d655022ab5c9f1927fa0a8ddb492b44df".

Files

zs.dbf.zip 119 KB 2016-04-08 Giovanni Manghi

zs2.zip 115 KB 2016-04-08 Paolo Cavallini
